<?php

ob_start();
include_once get_template_directory() . '/functions/inkthemes-functions.php';
$functions_path = get_template_directory() . '/functions/';
/* These files build out the options interface.  Likely won't need to edit these. */
require_once ($functions_path . 'admin-functions.php');  // Custom functions and plugins
require_once ($functions_path . 'admin-interface.php');  // Admin Interfaces (options,framework, seo)
/* These files build out the theme specific options and associated functions. */
require_once ($functions_path . 'theme-options.php');   // Options panel settings and custom settings

/* ----------------------------------------------------------------------------------- */
/* jQuery Enqueue */
/* ----------------------------------------------------------------------------------- */

function regalway_wp_enqueue_scripts() {
    if (!is_admin()) {
        wp_enqueue_script('regalway-ddsmoothmenu', get_template_directory_uri() . '/js/ddsmoothmenu.js', array(
            'jquery'));
        wp_enqueue_script('regalway-tipsy', get_template_directory_uri() . '/js/jquery.tipsy.js', array(
            'jquery'));
        wp_enqueue_script('regalway-validate', get_template_directory_uri() . '/js/jquery.validate.min.js', array(
            'jquery'));
        wp_enqueue_script('mobile-menu', get_template_directory_uri() . "/js/mobile-menu.js", array(
        'jquery','',true));
        wp_enqueue_script('regalway-custom', get_template_directory_uri() . '/js/custom.js', array(
            'jquery'));
        if (is_singular() && get_option('thread_comments'))
            wp_enqueue_script('comment-reply');
    } 
}

add_action('wp_enqueue_scripts', 'regalway_wp_enqueue_scripts');

//
function regalway_get_option($name) {
    $options = get_option('regalway_options');
    if (isset($options[$name]))
        return $options[$name];
}

//
function regalway_update_option($name, $value) {
    $options = get_option('regalway_options');
    $options[$name] = $value;
    return update_option('regalway_options', $options);
}

//
function regalway_delete_option($name) {
    $options = get_option('regalway_options');
    unset($options[$name]);
    return update_option('regalway_options', $options);
}

ob_clean();
?>
