<?php

add_action('init', 'of_options');
if (!function_exists('of_options')) {

    function of_options() {
        // VARIABLES
        $themename = 'Regalway';
        $shortname = "of";
        // Populate OptionsFramework option in array for use in theme
        global $of_options;
        $of_options = regalway_get_option('of_options');
        $options = array(
            /* ---------------------------------------------------------------------------- */
            /* General Setting */
            /* ---------------------------------------------------------------------------- */
            array("name" => "General Settings",
                "type" => "heading"),
            array("name" => "Custom Logo",
                "desc" => "Choose your own logo. Optimal Size: 221px Wide by 84px Height.",
                "id" => "regalway_logo",
                "type" => "upload"),
            array("name" => "Custom Favicon",
                "desc" => "Specify a 16px x 16px image that will represent your website's favicon.",
                "id" => "regalway_favicon",
                "type" => "upload"),
            /* ---------------------------------------------------------------------------- */
            array("name" => "Home Page",
                "type" => "heading"),
            //First Slider
            array("name" => "Featured Image",
                "desc" => "Choose your image for the featured image section on homepage. Optimal size is 950px wide and 450px height.",
                "id" => "regalway_slideimage1",
                "std" => "",
                "type" => "upload"),
            /* ---------------------------------------------------------------------------- */
            /* Styling Setting */
            /* ---------------------------------------------------------------------------- */
            array("name" => "Style",
                "type" => "heading"),
            array("name" => "Custom CSS",
                "desc" => "Quickly add some Custom CSS to your theme by adding it to this block.",
                "id" => "regalway_customcss",
                "std" => "",
                "type" => "textarea"));
        /* ---------------------------------------------------------------------------- */

        regalway_update_option('of_template', $options);
        regalway_update_option('of_themename', $themename);
        regalway_update_option('of_shortname', $shortname);
    }

}
?>
